Subject: Re: bug#44134: What is the conclusion on epa-list-keys?

From: Noam Postavsky <[email-masked]>
Date: Mon, 23 Nov 2020 14:22:42 -0500

Stephen Berman <[email-masked]> writes:

> On Sun, 22 Nov 2020 12:08:24 +0530 Pankaj Jangid <[email-masked]> wrote:
>
>> I see that the patch is working fine. But not sure what is the final
>> conclusion on this bug.
>
> Perhaps it fell under the radar?  Since I'm not familiar with epa, I
> don't want to push my patch without approval from someone who is or from
> an Emacs maintainer.

I think the problem is due to [1: 517285f7cae] (Ccing Lars who who wrote
that commit) which dropped the epa-list-keys text property from
epa--insert-keys.  So it would be safer to restore that property rather
than switching to detect the epa-key property as in your patch.

[1: 517285f7cae]: 2020-08-24 21:54:56 +0200
  Rewrite the epa key interface to use buttons instead of widgets
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=517285f7caed462c822c779efe14033645dccba0